import { setLocalStorage, getLocalStorage, removeLocalStorage } from '@/utils/storage'

export default {
  data() {
    return {
      orderStorageKey: 'order_filter'
    }
  },
  methods: {
    orderLocalStorage(filter) {
      setLocalStorage(this.orderStorageKey, filter)
    },
    getOrderLocalStorage() {
      return getLocalStorage(this.orderStorageKey)
    },
    clearOrderLocalStorage() {
      removeLocalStorage(this.orderStorageKey)
    }
  }
}
